Package tigase.xmpp.mam

## Class QueryImpl

- java.lang.Object
- - tigase.xmpp.mam.QueryImpl

- All Implemented Interfaces:
    `Query`

      public class QueryImpl
      extends java.lang.Object
      implements Query

  Class implements Query interface and is base implementation of query holder used by implementation of XEP-0313: Message Archive Management
  Created by andrzej on 21.07.2016.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `QueryImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `JID` | `getComponentJID()` |
    `java.util.Date` | `getEnd()` |
    `java.lang.String` | `getId()` |
    `JID` | `getQuestionerJID()` |
    `RSM` | `getRsm()` |
    `java.util.Date` | `getStart()` |
    `JID` | `getWith()` |
    `java.lang.String` | `getXMLNS()` |
    `void` | `setComponentJID​(JID componentJID)` |
    `void` | `setEnd​(java.util.Date end)` |
    `void` | `setId​(java.lang.String id)` |
    `void` | `setQuestionerJID​(JID questionerJID)` |
    `void` | `setStart​(java.util.Date start)` |
    `void` | `setWith​(JID with)` |
    `void` | `setXmlns​(java.lang.String xmlns)` |
    `void` | `setXMLNS​(java.lang.String xmlns)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### QueryImpl

          public QueryImpl()

  - ### Method Detail

    - #### getXMLNS

          public java.lang.String getXMLNS()

      Specified by:
        `getXMLNS` in interface `Query`

    - #### setXMLNS

          public void setXMLNS​(java.lang.String xmlns)

      Specified by:
        `setXMLNS` in interface `Query`

    - #### setXmlns

          public void setXmlns​(java.lang.String xmlns)

    - #### getQuestionerJID

          public JID getQuestionerJID()

      Specified by:
        `getQuestionerJID` in interface `Query`

    - #### setQuestionerJID

          public void setQuestionerJID​(JID questionerJID)

      Specified by:
        `setQuestionerJID` in interface `Query`

    - #### getComponentJID

          public JID getComponentJID()

      Specified by:
        `getComponentJID` in interface `Query`

    - #### setComponentJID

          public void setComponentJID​(JID componentJID)

      Specified by:
        `setComponentJID` in interface `Query`

    - #### getId

          public java.lang.String getId()

      Specified by:
        `getId` in interface `Query`

    - #### setId

          public void setId​(java.lang.String id)

      Specified by:
        `setId` in interface `Query`

    - #### getStart

          public java.util.Date getStart()

      Specified by:
        `getStart` in interface `Query`

    - #### setStart

          public void setStart​(java.util.Date start)

      Specified by:
        `setStart` in interface `Query`

    - #### getEnd

          public java.util.Date getEnd()

      Specified by:
        `getEnd` in interface `Query`

    - #### setEnd

          public void setEnd​(java.util.Date end)

      Specified by:
        `setEnd` in interface `Query`

    - #### getWith

          public JID getWith()

      Specified by:
        `getWith` in interface `Query`

    - #### setWith

          public void setWith​(JID with)

      Specified by:
        `setWith` in interface `Query`

    - #### getRsm

          public RSM getRsm()

      Specified by:
        `getRsm` in interface `Query`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`